DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
DcmJsonFormat::Indention Class Reference

A class to create small proxy objects that ease indention handling. More...

## Public Member Functions
Indention & | operator++ ()
| increases current indention. More...
Indention & | operator-- ()
| decreases current indention More...

## Private Member Functions
| Indention (DcmJsonFormat &format)
| private constructor, used by DcmJsonFormat More...
void | printIndention (STD_NAMESPACE ostream &out) const
| prints the current indention using the parent formatter More...

## Private Attributes
DcmJsonFormat & | m_Format
| reference to the parent formatter object

## Friends
class | DcmJsonFormat
| allow DcmJsonFormat to use this class' private members
STD_NAMESPACE ostream & | operator<< (STD_NAMESPACE ostream &out, const Indention &indention)
| output current indention to an output stream. More...

## Detailed Description

A class to create small proxy objects that ease indention handling.

Each Indention object only contains a reference to the DcmJsonFormat object that created it and its only purpose is to call the respective methods of that object when one of its overloaded operators is used.

## Constructor & Destructor Documentation

## ◆ Indention()

DcmJsonFormat::Indention::Indention | ( | DcmJsonFormat & | format | ) |
| inline private

private constructor, used by DcmJsonFormat

Parameters

  format | the format

## Member Function Documentation

## ◆ operator++()

Indention& DcmJsonFormat::Indention::operator++ | ( |  | ) |
| inline

increases current indention.

Returns
  *this

## ◆ operator--()

Indention& DcmJsonFormat::Indention::operator-- | ( |  | ) |
| inline

decreases current indention

Returns
  *this

## ◆ printIndention()

void DcmJsonFormat::Indention::printIndention | ( | STD_NAMESPACE ostream & | out | ) | const
| inline private

prints the current indention using the parent formatter

Parameters

  out | the stream to print to

## Related Definitions

## ◆ operator<<

STD_NAMESPACE ostream& operator<< | ( | STD_NAMESPACE ostream & | out,
|  | const Indention & | indention
| ) |  |
| friend

output current indention to an output stream.

Parameters

  out | the output stream to use
  indention | the indention to print

Returns
  out

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcjson.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1